GET /api/v3/bill/billaccountmeter/statistics

Retrieves a paginated list of bill account meter statistics records, with optional filtering

GetBillAccountMetersStatisticsV3 Permissions: BillsAndBatches (View)
Use this endpoint to get statistical analysis data (averages, deviations, rankings) at the bill-account-meter level. Statistics are precomputed and used for audit variance checks and trending analysis.
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter Optional bill account meter filter. Number of years of data defaults to 4 (includes current year) string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accrual Boolean equals
billId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
lastNYears Integer equals
meterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
void Void Flag (0/1 = N/Y) Boolean equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

BillAccountMeterStatisticsResponse
Property Description Type
account AccountChild
AccountChild properties
Property Description Type
accountCode The account code (unique identifier assigned by the organization) string
accountId The unique identifier of the account integer (int32)
accountInfo The account description/name string
active Whether the account is currently active. Null if not applicable. boolean
hasCalculatedMeter Whether the account has a child calculated meter boolean
hasSplitChildMeter Whether the account has a child split meter boolean
hasSplitParentMeter Whether the account is a recipient of a meter split boolean
hasSubAccount Whether this account has sub-accounts beneath it boolean
isSubAccount Whether this account is a sub-account of a summary account boolean
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billingPeriod The bill’s billing period integer (int32)
costPerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
days The number of days the bill covers integer (int32)
demandPerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
endDate The bill’s end date string (date-time)
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode Short code for the meter type (e.g., “ELEC”, “GAS”) string
meterTypeId Unique numeric identifier of the meter type integer (int32)
meterTypeInfo Descriptive name of the meter type string
serialNumber The meter’s current serial number string
usePerDay StatisticsResponse
StatisticsResponse properties
Property Description Type
difference The difference between the model and the actual value number (double)
model The model value number (double)
rSquared Statistical measure of how close the data is to the fitted regression line number (double)
severity OutlierSeverityChild
OutlierSeverityChild properties
Property Description Type
outlierSeverity The integer that represents the severity of the outlier Values: 1, 2, 3, or 4 integer (int32)
outlierSeverityInfo The information regarding the current outlier severity Values: 1 = Severe, 2 = High, 3 = Moderate, 4 = Cannot be determined Severe - Actual value is 1, standard deviation > 3.0 on the high side or > 5.0 on the low side High - Actual value is 2, standard deviation > 2.0 high and > 4.0 low Moderate - Actual value is 3, standard deviation > 1.5 high and > 3.0 low Not Classified - It is not one of Severe, High, Low or the model could not be determined string
standardDeviation Statistical measure of how spread out numbers are from the average number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
variance Statistical measure of how far each value in the data set is from the mean number (double)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "active": false,      "hasCalculatedMeter": false,      "hasSplitChildMeter": false,      "hasSplitParentMeter": false,      "hasSubAccount": false,      "isSubAccount": false,      "vendor": {}
    },    "beginDate": "2026-06-29",    "billId": 1,    "billingPeriod": 1,    "costPerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    },    "days": 1,    "demandPerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    },    "endDate": "2026-06-29",    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "usePerDay": {      "difference": 1.0,      "model": 1.0,      "rSquared": 1.0,      "severity": {},      "standardDeviation": 1.0,      "unit": {},      "variance": 1.0
    }
  }
]